Bug 676175 - Review Request: fpaste-server - Fedora Pastebin
Summary: Review Request: fpaste-server - Fedora Pastebin
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: eric
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-02-08 23:58 UTC by Clint Savage
Modified: 2011-05-20 17:56 UTC (History)
5 users (show)

Fixed In Version: fpaste-server-0.1-3.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-04-28 19:26:23 UTC
eric: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Clint Savage 2011-02-08 23:58:33 UTC
Spec URL: http://herlo.fedorapeople.org/rpms/fpaste-server.spec
SRPM URL: http://herlo.fedorapeople.org/rpms/fpaste-server-0.1-1.src.rpm

Description: fpaste-server is simply put, a pastebin.
Like many a pastebin application before it,
fpaste-server strives to make it easy to
share code and other information collaboratively.

Comment 1 Jason Tibbitts 2011-02-11 16:46:13 UTC
Unfortunately this fails to build:

Executing(%build): /bin/sh -e /var/tmp/rpm-tmp.bx39S2
Traceback (most recent call last):
  File "setup.py", line 5, in <module>
    from setuptools import setup, find_packages
ImportError: No module named setuptools
RPM build errors:
error: Bad exit status from /var/tmp/rpm-tmp.bx39S2 (%build)

Comment 2 Clint Savage 2011-02-11 17:05:05 UTC
Oh wow! In all the excitement of getting the rpm to build on my machine, I failed to do a simple scratch build.  I'm so embarrassed :/

Well, I've updated the links above with new content and it successfully builds with koji.

koji build --scratch dist-f14 SRPMS/fpaste-server-0.1-1.src.rpm 
Uploading srpm: SRPMS/fpaste-server-0.1-1.src.rpm
[====================================] 100% 00:00:03 135.99 KiB  34.48 KiB/sec
Created task: 2833280
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=2833280
Watching tasks (this may be safely interrupted)...
2833280 build (dist-f14, fpaste-server-0.1-1.src.rpm): open (x86-04.phx2.fedoraproject.org)
  2833281 buildArch (fpaste-server-0.1-1.src.rpm, noarch): open (x86-01.phx2.fedoraproject.org)
  2833281 buildArch (fpaste-server-0.1-1.src.rpm, noarch): open (x86-01.phx2.fedoraproject.org) -> closed
  0 free  1 open  1 done  0 failed
2833280 build (dist-f14, fpaste-server-0.1-1.src.rpm): open (x86-04.phx2.fedoraproject.org) -> closed
  0 free  0 open  2 done  0 failed

2833280 build (dist-f14, fpaste-server-0.1-1.src.rpm) completed successfully

Thanks for doing the review.

Clint

Comment 3 eric 2011-03-08 02:27:52 UTC
$ rpmlint SRPMS/fpaste-server-0.1-1.src.rpm 
fpaste-server.src: W: spelling-error %description -l en_US pastebin -> paste bin, paste-bin, pasteboard
fpaste-server.src:39: W: setup-not-quiet
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

$ rpmlint RPMS/noarch/fpaste-server-0.1-1.noarch.rpm 
fpaste-server.noarch: W: spelling-error %description -l en_US pastebin -> paste bin, paste-bin, pasteboard
fpaste-server.noarch: W: non-conffile-in-etc /etc/httpd/conf.d/fpaste_server.conf
fpaste-server.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/fpaste_server/manage.py 0644L /usr/bin/env
1 packages and 0 specfiles checked; 1 errors, 2 warnings.

$ rpmlint SPECS/fpaste-server.spec 
SPECS/fpaste-server.spec:39: W: setup-not-quiet
0 packages and 1 specfiles checked; 0 errors, 1 warnings.

Need to make a few repairs...

Comment 4 Clint Savage 2011-03-08 04:36:49 UTC
I didn't fix the 'spelling-error' warning since pastebin is the word I intended.

However, I've fixed the other linty problems and updated the spec and src.rpm

Spec URL: http://herlo.fedorapeople.org/rpms/fpaste-server.spec
SRPM URL: http://herlo.fedorapeople.org/rpms/fpaste-server-0.1-2.src.rpm

Thanks for having a look at this, looking forward to the next round.

Clint

Comment 5 eric 2011-03-08 05:57:46 UTC
Cool.  I'll take a look at this again.

Comment 6 Nick Bebout 2011-03-18 00:19:12 UTC
Ping sparks.

Comment 7 eric 2011-03-20 15:42:54 UTC
(In reply to comment #6)
> Ping sparks.

Opps!  Sorry about the delay.  I'll get on this today!

Comment 8 eric 2011-03-21 22:16:31 UTC
OK    * MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.[1]
OK    * MUST: The package must be named according to the Package Naming Guidelines .
OK    * MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption. [2] .
OK    * MUST: The package must meet the Packaging Guidelines .
OK    * MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
OK    * MUST: The License field in the package spec file must match the actual license. [3]
NA    * MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.[4]
OK    * MUST: The spec file must be written in American English. [5]
OK    * MUST: The spec file for the package MUST be legible. [6]
OK    * MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
OK    * MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture. [7]
OK    * MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line. [8]
OK    * MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
OK    * MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.[9]
OK    * MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun. [10]
OK    * MUST: Packages must NOT bundle copies of system libraries.[11]
OK    * MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker. [12]
OK    * MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. [13]
OK    * MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)[14]
OK    * MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line. [15]
OK    * MUST: Each package must consistently use macros. [16]
OK    * MUST: The package must contain code, or permissable content. [17]
OK    * MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity). [18]
OK    * MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present. [18]
NA    * MUST: Header files must be in a -devel package. [19]
NA    * MUST: Static libraries must be in a -static package. [20]
NA    * MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package. [19]
NA    * MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release} [21]
OK    * MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.[20]
OK    * MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation. [22]
OK    * MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. [23]
OK    * MUST: All filenames in rpm packages must be valid UTF-8. [24]
FAIL  * SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it. [25]
FAIL  * SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available. [26]
NA    * SHOULD: The reviewer should test that the package builds in mock. [27]
NA    * SHOULD: The package should compile and build into binary rpms on all supported architectures. [28]
NA    * SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
NA    * SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity. [29]
NA    * SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency. [21]
NA    * SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb. [30]
NA    * SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself. [31]
FAIL  * SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.[32]

ACCEPT

Comment 9 eric 2011-03-21 22:18:45 UTC
Again, sorry for the delay in reviewing this.

All MUSTs were met.  It would still be a good idea to include a copy of the license in the source and, of course, documentation is always a good thing.  But everything looks good!  Let me know if I can help you with anything else.

Comment 10 Jason Tibbitts 2011-04-06 17:56:17 UTC
I see no SCM request to process.

Comment 11 Clint Savage 2011-04-06 19:54:46 UTC
New Package SCM Request
=======================
Package Name: fpaste-server
Short Description: Fedora Pastebin Server
Owners: herlo, jsteffan
Branches: f14, f15, el6
InitialCC: nb

Sorry, got distracted on the first attempt at this.

Clint

Comment 12 Jason Tibbitts 2011-04-06 21:04:35 UTC
Git done (by process-git-requests).

Comment 13 Clint Savage 2011-04-12 02:14:55 UTC
Package Change Request
======================
Package Name: fpaste-server
New Branches: rawhide, el5

forgot to ask for el5 and rawhide branch, nothing else.

Thanks,

Clint

Comment 14 Fedora Update System 2011-04-12 04:11:55 UTC
fpaste-server-0.1-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/fpaste-server-0.1-3.el6

Comment 15 Fedora Update System 2011-04-12 04:15:31 UTC
fpaste-server-0.1-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/fpaste-server-0.1-3.fc14

Comment 16 Fedora Update System 2011-04-12 04:16:35 UTC
fpaste-server-0.1-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/fpaste-server-0.1-3.fc15

Comment 17 Jason Tibbitts 2011-04-12 14:50:44 UTC
The SCM request is invalid; it specifies no owners, and a rawhide (devel, actually) branch already exists, as you cannot have a package without a devel branch.

Please fix and re-raise the fedora-cvs flag.

Comment 18 Clint Savage 2011-04-12 16:11:08 UTC
Package Change Request
=======================
Package Name: fpaste-server
Short Description: Fedora Pastebin Server
Owners: herlo, jsteffan
New Branches: el5
InitialCC: nb

I honestly figured the same people would get the same permissions. I guess being explicit is a good thing.

Clint

Comment 19 Jason Tibbitts 2011-04-12 16:42:53 UTC
http://fedoraproject.org/wiki/Package_SCM_admin_requests#Package_Change_Requests_for_existing_packages

"Please note that when the new branch is created, ownership or CC information will not be copied to the new branch, so be sure to specify in the request all of the owners and initialCC members the new branch should have."

All I can say is that due to the fact that these are processed by scripts, the documentation for the process is insistent that you use the templates exactly as provided.  Change requests to not take "Short Description", for example.  (pkgdb provides us no means to change that externally.)  I'll edit the request for you and process it but in the future, please don't add fields.

Comment 20 Jason Tibbitts 2011-04-12 16:43:10 UTC
Git done (by process-git-requests).

Comment 21 Fedora Update System 2011-04-12 17:02:54 UTC
fpaste-server-0.1-3.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 22 Fedora Update System 2011-04-28 19:26:17 UTC
fpaste-server-0.1-3.fc15 has been pushed to the Fedora 15 stable repository.

Comment 23 Fedora Update System 2011-04-28 19:57:14 UTC
fpaste-server-0.1-3.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 24 Fedora Update System 2011-04-29 03:20:39 UTC
fpaste-server-0.1-3.fc14 has been pushed to the Fedora 14 stable repository.

Comment 25 Fedora Update System 2011-05-02 17:05:18 UTC
fpaste-server-0.1-3.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/fpaste-server-0.1-3.el5

Comment 26 Fedora Update System 2011-05-20 17:56:28 UTC
fpaste-server-0.1-3.el5 has been pushed to the Fedora EPEL 5 stable repository.


Note You need to log in before you can comment on or make changes to this bug.